# 欢迎

Shifu (github页面：<https://github.com/Edgenesis/shifu>) 是一个基于[Kubernetes](https://kubernetes.io/)的开源物联网开发和管理平台。使用Shifu，开发者可以更简单地连接、监控和控制任何物联网设备。

## 物联网设备

一个物联网设备是指可以与其他设备、系统、服务进行在线或本地连接和交流的设备，例如：

* 一个制造厂里的机械臂，它接收本地自动化控制系统的命令完成各种动作。
* 一辆自动导引车，它受到操纵者的远程控制。
* 一辆汽车上的温度计，它命令空调升温或降温，同时也发送温度数据到云端。

## 通信

Shifu兼容不同的通信协议和驱动，它将不同设备的不同形式的请求进行统一，以HTTP的形式对用户开放，使得用户可以更简单地使用设备的功能。

Shifu与用户和设备之间的关系，可以用下图来表示： ![User\_Shifu\_Device](https://3203018357-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F6iEaJUcWtliLYWuVWnzL%2Fuploads%2Fgit-blob-eb1b50ec722471a5cd0e9654a10dc65ed4d1eb42%2Fuser_shifu_device.svg?alt=media)

**Shifu与设备之间的通信:** Shifu在持续增加对于新协议和驱动的兼容。对于当前兼容的列表，参见[当前兼容的设备协议和驱动](https://cn.docs.edgenesis.io/shifu_architecture/supported_device_protocols_and_drivers)。

**Shifu与用户之间的通信:** Shifu在持续增加新协议供用户进行选择。对于当前可用协议的列表，参见[当前用户可用的协议](https://cn.docs.edgenesis.io/shifu_architecture/supported_user_protocols_and_drivers)。

## 功能

Shifu作为一个物联网设备管理和开发平台，提供以下功能：

* 从设备取得数据。
* 给设备发送用户命令。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cn.docs.edgenesis.io/readme.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
